# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Buildroot: %{_builddir}/%{name}-root
Name: unicore-configurator
Version: 1.0.0
Release: 0.sl6
Summary: UNICORE Configurator tool
License: BSD
Distribution: RedHat
Group: System Environment/Admin Tools
URL: http://unicore-life.sf.net
Requires: python >= 2.4.3 python-lxml
BuildArch: noarch
Packager: Piotr Piernik piernik@mat.umk.pl
BuildRequires: ant >= 1.6.5 
BuildRequires: ant-apache-regexp 
BuildRequires: subversion 
BuildRequires: bash 
Source0 : unicore-configurator-1.0.0-0.src.tar.gz

%description
UNICORE (Uniform Interface to Computing Resources) offers a
ready-to-run Grid system including client and server software.
UNICORE makes distributed computing and data resources available
in a seamless and secure way in intranets and the internet.

This package contains the UNICORE Configurator Tool which helps
during deployment of UNICORE infrastructure.

%changelog
* Thu Jun 17 2011 Piotr Piernik <unicore-support@lists.sourceforge.net> 
-Init RPM
%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
cd packaging 
sh package.sh -Dpackage.version=1.0.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm ; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT







%files
%defattr(-,root,root,-)

# unicore configurator files
#
%dir %attr(0755 root root) "/usr/share/unicore/configurator/configurator.d"
%dir %attr(0755 root root) "/usr/share/unicore/configurator/updater.d"
%dir %attr(0755 root root) "/usr/share/unicore/configurator/modules"

%attr(0644 root root)	 "/usr/share/unicore/configurator/configurator.d/_use.py"
%attr(0644 root root)	 "/usr/share/unicore/configurator/updater.d/_use.py"
%attr(0644 root root)	 "/usr/share/unicore/configurator/modules/*.py"

%attr(0755 root root)	 "/usr/bin/unicore-config.py"
%attr(0755 root root)	 "/usr/bin/unicore-config-update.py"

# documentation
#
%docdir %attr(755 root root) "/usr/share/doc/unicore/configurator/"
%attr(644 root root) "/usr/share/doc/unicore/configurator/*"

#%dir %attr(0755 root root) "/usr/share/unicore/configurator/examples/"
#%attr(644 root root) "/usr/share/unicore/configurator/examples/*"


%pre

%post

%preun

%postun
